Package org.codehaus.groovy.vmplugin.v7

## Class Selector

- java.lang.Object
- - org.codehaus.groovy.vmplugin.v7.Selector

-     @Deprecated
      public abstract class Selector
      extends Object

  Deprecated.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Object[]` | `args` | Deprecated.
    `boolean` | `cache` | Deprecated.
    `MutableCallSite` | `callSite` | Deprecated.
    `IndyInterface.CallType` | `callType` | Deprecated.
    `boolean` | `catchException` | Deprecated.
    `MethodType` | `currentType` | Deprecated.
    `MethodHandle` | `handle` | Deprecated.
    `boolean` | `isVargs` | Deprecated.
    `MetaMethod` | `method` | Deprecated.
    `String` | `name` | Deprecated.
    `Object[]` | `originalArguments` | Deprecated.
    `boolean` | `safeNavigation` | Deprecated.
    `boolean` | `safeNavigationOrig` | Deprecated.
    `Class<?>` | `selectionBase` | Deprecated.
    `Class<?>` | `sender` | Deprecated.
    `boolean` | `skipSpreadCollector` | Deprecated.
    `boolean` | `spread` | Deprecated.
    `MethodType` | `targetType` | Deprecated.
    `boolean` | `thisCall` | Deprecated.
    `boolean` | `useMetaClass` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Selector()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getCorrectedReceiver()` | Deprecated. Returns `NullObject.getNullObject()` if the receiver (args[0]) is null.
    `static Selector` | `getSelector​(MutableCallSite callSite, Class<?> sender, String methodName, int callID, boolean safeNavigation, boolean thisCall, boolean spreadCall, Object[] arguments)` | Deprecated. Returns the Selector

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### args

          public Object[] args

      Deprecated.

    - #### originalArguments

          public Object[] originalArguments

      Deprecated.

    - #### method

          public MetaMethod method

      Deprecated.

    - #### targetType

          public MethodType targetType

      Deprecated.

    - #### currentType

          public MethodType currentType

      Deprecated.

    - #### name

          public String name

      Deprecated.

    - #### handle

          public MethodHandle handle

      Deprecated.

    - #### useMetaClass

          public boolean useMetaClass

      Deprecated.

    - #### cache

          public boolean cache

      Deprecated.

    - #### callSite

          public MutableCallSite callSite

      Deprecated.

    - #### sender

          public Class<?> sender

      Deprecated.

    - #### isVargs

          public boolean isVargs

      Deprecated.

    - #### safeNavigation

          public boolean safeNavigation

      Deprecated.

    - #### safeNavigationOrig

          public boolean safeNavigationOrig

      Deprecated.

    - #### spread

          public boolean spread

      Deprecated.

    - #### skipSpreadCollector

          public boolean skipSpreadCollector

      Deprecated.

    - #### thisCall

          public boolean thisCall

      Deprecated.

    - #### selectionBase

          public Class<?> selectionBase

      Deprecated.

    - #### catchException

          public boolean catchException

      Deprecated.

    - #### callType

          public IndyInterface.CallType callType

      Deprecated.

  - ### Constructor Detail

    - #### Selector

          public Selector()

      Deprecated.

  - ### Method Detail

    - #### getSelector

          public static Selector getSelector​(MutableCallSite callSite,
                                             Class<?> sender,
                                             String methodName,
                                             int callID,
                                             boolean safeNavigation,
                                             boolean thisCall,
                                             boolean spreadCall,
                                             Object[] arguments)

      Deprecated.
      Returns the Selector

    - #### getCorrectedReceiver

          public Object getCorrectedReceiver()

      Deprecated.
      Returns `NullObject.getNullObject()` if the receiver (args[0]) is null. If it is not null, the recevier itself is returned.